Name:           chkservice
Version:        0.3
Release:        2%{?dist}
Summary:        Systemd units manager with ncurses, terminal interface

License:        GPLv3+
URL:            https://github.com/linuxenko/chkservice
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(ncurses)

# Respect environment CXXFLAGS
# https://github.com/linuxenko/chkservice/pull/23
Patch0:         https://github.com/linuxenko/chkservice/pull/23.patch#/Respect-environment-CXXFLAGS.patch

%description
chkservice is a tool for managing systemd units. more infomration at
https://github.com/linuxenko/chkservice


%prep
%autosetup -p1


%build
%cmake
%cmake_build


%install
%cmake_install
install -Dpm0644 debian/%{name}.8 %{buildroot}/%{_mandir}/man8/%{name}.8


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man8/*.8*


%changelog
* Wed Sep 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.3-2
- build: Minor changes and improvements

* Sun Mar 15 2020 Samuel RakitniÄan <samuel.rakitnican@gmail.com> 0.3-1
- Update to 0.3

* Sat Sep 02 2017 Samuel RakitniÄan <samuel.rakitnican@gmail.com> 0.1-1
- Initial build
